<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports1.css" rel="stylesheet" id="ultra" />
    <link type="text/css" href="testng-reports.css" rel="stylesheet" id="retro" disabled="false"/>
    <script type="text/javascript" src="jquery-3.6.0.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <button id="button" class="button">Switch Retro Theme</button> <!-- button -->
      <br/>
      <span class="top-banner-font-1">1 suite, 2 failed tests</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-Default_suite" class="navigator-link">
              <span class="suite-name border-failed">Default suite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-Default_suite" class="navigator-link ">
                    <span>testng-customsuite.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-Default_suite" class="navigator-link ">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-Default_suite" class="navigator-link ">
                    <span>1 group</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-Default_suite" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-Default_suite" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-Default_suite" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-Default_suite" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">6 methods, 2 failed,   4 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title failed">Failed methods</span>
                    <span class="show-or-hide-methods failed">
                      <a href="#" panel-name="suite-Default_suite" class="hide-methods failed suite-Default_suite"> (hide)</a> <!-- hide-methods failed suite-Default_suite -->
                      <a href="#" panel-name="suite-Default_suite" class="show-methods failed suite-Default_suite"> (show)</a> <!-- show-methods failed suite-Default_suite -->
                    </span>
                    <div class="method-list-content failed suite-Default_suite">
                      <span>
                        <img src="failed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="stepdefinition.Testrunner$TestRunner" class="method navigator-link" hash-for-method="runScenario(&quot;To validate search for product functionality&quot;, &quot;Fristcry Application functionality&quot;)">runScenario("To validate search for product functionality", "Fristcry Application functionality")</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="failed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="stepdefinition.Testrunner$TestRunner" class="method navigator-link" hash-for-method="runScenario(&quot;Successful Login with Valid Credentials&quot;, &quot;Fristcry Application functionality&quot;)">runScenario("Successful Login with Valid Credentials", "Fristcry Application functionality")</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content failed suite-Default_suite -->
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-Default_suite" class="hide-methods passed suite-Default_suite"> (hide)</a> <!-- hide-methods passed suite-Default_suite -->
                      <a href="#" panel-name="suite-Default_suite" class="show-methods passed suite-Default_suite"> (show)</a> <!-- show-methods passed suite-Default_suite -->
                    </span>
                    <div class="method-list-content passed suite-Default_suite">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="stepdefinition.Testrunner$TestRunner" class="method navigator-link" hash-for-method="runScenario(&quot;To validate payment functionality&quot;, &quot;Fristcry Application functionality&quot;)">runScenario("To validate payment functionality", "Fristcry Application functionality")</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="stepdefinition.Testrunner$TestRunner" class="method navigator-link" hash-for-method="runScenario(&quot;To validate AddAddress functionality&quot;, &quot;Fristcry Application functionality&quot;)">runScenario("To validate AddAddress functionality", "Fristcry Application functionality")</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="stepdefinition.Testrunner$TestRunner" class="method navigator-link" hash-for-method="runScenario(&quot;To validate Addtocart functionality&quot;, &quot;Fristcry Application functionality&quot;)">runScenario("To validate Addtocart functionality", "Fristcry Application functionality")</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-Default_suite" title="stepdefinition.Testrunner$TestRunner" class="method navigator-link" hash-for-method="runScenario(&quot;Successful LogOut&quot;, &quot;Fristcry Application functionality&quot;)">runScenario("Successful LogOut", "Fristcry Application functionality")</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-Default_suite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-Default_suite" class="panel Default_suite">
          <div class="suite-Default_suite-class-failed">
            <div class="main-panel-header rounded-window-top">
              <img src="failed.png"/>
              <span class="class-name">stepdefinition.Testrunner$TestRunner</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="runScenario(&quot;To validate search for product functionality&quot;, &quot;Fristcry Application functionality&quot;)">
                  </a> <!-- runScenario("To validate search for product functionality", "Fristcry Application functionality") -->
                  <span class="method-name">runScenario</span>
                  <span class="parameters">("To validate search for product functionality","Fristcry Application functionality")</span>
                  <div class="stack-trace">java.lang.IllegalArgumentException: Driver must be set
	at org.openqa.selenium.internal.Require.nonNull(Require.java:59)
	at org.openqa.selenium.interactions.Actions.&lt;init&gt;(Actions.java:60)
	at CalledMethods.Searchpage.toyscatag(Searchpage.java:22)
	at stepdefinition.Firstcryapplication.user_have_able_to_select_the_toys_section(Firstcryapplication.java:57)
	at ✽.user have  able to  select the Toys Section(file:///home/narayanan/eclipse-workspace5/cucumberfirstproject/src/test/resources/Feature/scenerio.feature:11)

</div> <!-- stack-trace -->
                  <em>
(Runs Cucumber Scenarios)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="runScenario(&quot;Successful Login with Valid Credentials&quot;, &quot;Fristcry Application functionality&quot;)">
                  </a> <!-- runScenario("Successful Login with Valid Credentials", "Fristcry Application functionality") -->
                  <span class="method-name">runScenario</span>
                  <span class="parameters">("Successful Login with Valid Credentials","Fristcry Application functionality")</span>
                  <div class="stack-trace">java.lang.NullPointerException: Cannot invoke &quot;org.openqa.selenium.SearchContext.findElement(org.openqa.selenium.By)&quot; because &quot;this.searchContext&quot; is null
	at org.openqa.selenium.support.pagefactory.DefaultElementLocator.findElement(DefaultElementLocator.java:70)
	at org.openqa.selenium.support.pagefactory.internal.LocatingElementHandler.invoke(LocatingElementHandler.java:39)
	at jdk.proxy2/jdk.proxy2.$Proxy27.click(Unknown Source)
	at CalledMethods.LoginPage.loginbtn(LoginPage.java:18)
	at stepdefinition.Firstcryapplication.user_click_on_sign_button(Firstcryapplication.java:32)
	at ✽.User click on sign button(file:///home/narayanan/eclipse-workspace5/cucumberfirstproject/src/test/resources/Feature/scenerio.feature:5)

</div> <!-- stack-trace -->
                  <em>
(Runs Cucumber Scenarios)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Default_suite-class-failed -->
          <div class="suite-Default_suite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">stepdefinition.Testrunner$TestRunner</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="runScenario(&quot;To validate payment functionality&quot;, &quot;Fristcry Application functionality&quot;)">
                  </a> <!-- runScenario("To validate payment functionality", "Fristcry Application functionality") -->
                  <span class="method-name">runScenario</span>
                  <span class="parameters">("To validate payment functionality","Fristcry Application functionality")</span>
                  <em>
(Runs Cucumber Scenarios)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="runScenario(&quot;To validate AddAddress functionality&quot;, &quot;Fristcry Application functionality&quot;)">
                  </a> <!-- runScenario("To validate AddAddress functionality", "Fristcry Application functionality") -->
                  <span class="method-name">runScenario</span>
                  <span class="parameters">("To validate AddAddress functionality","Fristcry Application functionality")</span>
                  <em>
(Runs Cucumber Scenarios)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="runScenario(&quot;To validate Addtocart functionality&quot;, &quot;Fristcry Application functionality&quot;)">
                  </a> <!-- runScenario("To validate Addtocart functionality", "Fristcry Application functionality") -->
                  <span class="method-name">runScenario</span>
                  <span class="parameters">("To validate Addtocart functionality","Fristcry Application functionality")</span>
                  <em>
(Runs Cucumber Scenarios)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
              <div class="method">
                <div class="method-content">
                  <a name="runScenario(&quot;Successful LogOut&quot;, &quot;Fristcry Application functionality&quot;)">
                  </a> <!-- runScenario("Successful LogOut", "Fristcry Application functionality") -->
                  <span class="method-name">runScenario</span>
                  <span class="parameters">("Successful LogOut","Fristcry Application functionality")</span>
                  <em>
(Runs Cucumber Scenarios)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-Default_suite-class-passed -->
        </div> <!-- panel Default_suite -->
        <div panel-name="test-xml-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">/tmp/testng-eclipse--740797129/testng-customsuite.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;https://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;Default suite&quot; guice-stage=&quot;DEVELOPMENT&quot;&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;Default test&quot; verbose=&quot;2&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;stepdefinition.Testrunner&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Default test --&gt;
&lt;/suite&gt; &lt;!-- Default suite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Default test (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="test-group">
              <span class="test-group-name">cucumber</span>
              <br/>
              <div class="method-in-group">
                <span class="method-in-group-name">runScenario</span>
                <br/>
              </div> <!-- method-in-group -->
            </div> <!-- test-group -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_Default_suite');
function tableData_Default_suite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(6);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'runScenario')
data.setCell(0, 2, 'stepdefinition.Testrunner$TestRunner')
data.setCell(0, 3, 10685);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'runScenario')
data.setCell(1, 2, 'stepdefinition.Testrunner$TestRunner')
data.setCell(1, 3, 43);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'runScenario')
data.setCell(2, 2, 'stepdefinition.Testrunner$TestRunner')
data.setCell(2, 3, 22);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'runScenario')
data.setCell(3, 2, 'stepdefinition.Testrunner$TestRunner')
data.setCell(3, 3, 20);
data.setCell(4, 0, 4)
data.setCell(4, 1, 'runScenario')
data.setCell(4, 2, 'stepdefinition.Testrunner$TestRunner')
data.setCell(4, 3, 14);
data.setCell(5, 0, 5)
data.setCell(5, 1, 'runScenario')
data.setCell(5, 2, 'stepdefinition.Testrunner$TestRunner')
data.setCell(5, 3, 6);
window.suiteTableData['Default_suite']= { tableData: data, tableDiv: 'times-div-Default_suite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 10 seconds</span>
              <div id="times-div-Default_suite">
              </div> <!-- times-div-Default_suite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for Default suite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-Default_suite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">stepdefinition.Testrunner$TestRunner</div> <!-- chronological-class-name -->
              <div class="configuration-class before">
                <span class="method-name">setUpClass(org.testng.TestRunner@3fd05b3e)</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-class before -->
              <div class="test-method">
                <img src="failed.png">
                </img>
                <span class="method-name">runScenario("Successful Login with Valid Credentials", "Fristcry Application functionality")</span>
                <span class="method-start">399 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <img src="failed.png">
                </img>
                <span class="method-name">runScenario("To validate search for product functionality", "Fristcry Application functionality")</span>
                <span class="method-start">11091 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">runScenario("To validate Addtocart functionality", "Fristcry Application functionality")</span>
                <span class="method-start">11115 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">runScenario("To validate AddAddress functionality", "Fristcry Application functionality")</span>
                <span class="method-start">11140 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">runScenario("To validate payment functionality", "Fristcry Application functionality")</span>
                <span class="method-start">11185 ms</span>
              </div> <!-- test-method -->
              <div class="test-method">
                <span class="method-name">runScenario("Successful LogOut", "Fristcry Application functionality")</span>
                <span class="method-start">11201 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-class after">
                <span class="method-name">tearDownClass</span>
                <span class="method-start">11211 ms</span>
              </div> <!-- configuration-class after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
<script type="text/javascript" src="testng-reports2.js"></script>
</html>
